Package org.bukkit.inventory

# Class SmokingRecipe

java.lang.Object
org.bukkit.inventory.CookingRecipe<SmokingRecipe>
org.bukkit.inventory.SmokingRecipe

All Implemented Interfaces:
  `net.kyori.adventure.key.Keyed`, `Recipe`, `Keyed`

public class SmokingRecipe extends CookingRecipe<SmokingRecipe>
Represents a campfire recipe.

## Constructor Summary

Constructors
Constructor
Description
`SmokingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull RecipeChoice input, float experience, int cookingTime)`
`SmokingRecipe(@NotNull NamespacedKey key, @NotNull ItemStack result, @NotNull Material source, float experience, int cookingTime)`

## Method Summary

### Methods inherited from class org.bukkit.inventory.CookingRecipe

`getCookingTime, getExperience, getGroup, getInput, getInputChoice, getKey, getResult, setCookingTime, setExperience, setGroup, setInput, setInputChoice`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Constructor Details

### SmokingRecipe

public SmokingRecipe(@NotNull @NotNull NamespacedKey key, @NotNull @NotNull ItemStack result, @NotNull @NotNull Material source, float experience, int cookingTime)

### SmokingRecipe

public SmokingRecipe(@NotNull @NotNull NamespacedKey key, @NotNull @NotNull ItemStack result, @NotNull @NotNull RecipeChoice input, float experience, int cookingTime)